Remover todas as linhas da lista
curl --request DELETE \
--url https://api.nuvia.ai/v1/tables/{tableId}/rows/all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"excludeRowIds": [
"<string>"
],
"view": "<string>",
"filters": [
{
"field": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.nuvia.ai/v1/tables/{tableId}/rows/all"
payload = {
"excludeRowIds": ["<string>"],
"view": "<string>",
"filters": [
{
"field": "<string>",
"value": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
excludeRowIds: ['<string>'],
view: '<string>',
filters: [{field: '<string>', value: '<string>'}]
})
};
fetch('https://api.nuvia.ai/v1/tables/{tableId}/rows/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
tables
Remover todas as linhas da lista
Remove todas as linhas que atendem aos filtros/view. Pode excluir IDs específicos via excludeRowIds.
DELETE
/
v1
/
tables
/
{tableId}
/
rows
/
all
Remover todas as linhas da lista
Autorizações
Token JWT de autenticação
Cabeçalhos
Identificador da empresa-alvo. Obrigatório apenas para API Keys globais (type=global). Ignorado para API Keys de empresa e usuários humanos.
Parâmetros de caminho
ID da lista
Corpo
application/json
Resposta
200 - undefined
⌘I